package ru.ispras.telecomtesk.tlsv13.TLSAlgorithms;

public final class SignatureAndHashAlgorithm
{
	public byte hash;
	public byte signature;
	public SignatureAndHashAlgorithm(byte hash, byte signature) 
		{this.hash = hash; this.signature = signature;}
	public SignatureAndHashAlgorithm(HashAlgorithm hash, SignatureAlgorithm signature) 
	{this.hash = hash.getValue(); this.signature = signature.getValue();}
	public boolean isUnsupportingAlgorithm() { 
		if(HashAlgorithm.valueOf(hash) == HashAlgorithm.UNKNOWN || SignatureAlgorithm.valueOf(signature) == SignatureAlgorithm.UNKNOWN)
			return true;
		else
			return false;
	}
	public String toString() {
		return "" + HashAlgorithm.valueOf(hash) + "-" + SignatureAlgorithm.valueOf(signature);
	}
}
