package ru.ispras.telecomtesk.tlsv13.HandshakeMessages;

import ru.ispras.telecomtesk.tlsv13.DebugInfo;

public class EndOfEarlyData extends HandshakeMessage
{
	public EndOfEarlyData() { msg_type = 5; }
	
    public static HandshakeMessage parseByteArray(byte[] msg) {
    	HandshakeMessage hm = null;

    	if(msg.length == 4) {
    		hm = new EndOfEarlyData();
		}
    	else {
    		DebugInfo.printMessage(4,"===Error! HandshakeMessage::parseEndOfEarlyData: message length failed: " + msg.length);
    	}

    	return hm;
    }
    	
}
