package ru.ispras.telecomtesk.tlsv13.RecordProtocol;

import ru.ispras.telecomtesk.tlsv13.TLSAlgorithms.AlertType;

public class Alert
{
	public byte level;
	public byte description;
	
	public Alert(int level, int description) {
		this.level = (byte)level; this.description = (byte)description;
	}
	
	public void reset(int level, int description) {
		this.level = (byte)level; this.description = (byte)description;
	}
	
	public int getSize() {
		return 2;
	}
	
	public byte[] toByteArray() {
		byte[] res = {level, description};
		return res;
	}
	
	public boolean isCloseNotifyAlert() {
		if((level == 1) && (description == 0))
			return true;
		else
			return false;
	}
	
	public String toString() {
		return "Alert: level " + level + ", description " + AlertType.toString(description);
	}
	
	public String toStringShort() {
		return "{" + level + "," + AlertType.toString(description) + "}";
	}
}
